%define upstream_name    XML-SAX-ExpatXS
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl SAX 2 XS extension to Expat parser
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:    XML-SAX-install_expat_xs.patch

BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test)
BuildRequires:  perl(vars)
BuildRequires:  perl(XML::SAX::Base)
BuildRequires:  perl(XML::SAX) >= 0.96
BuildRequires:  perl-devel
BuildRequires:  expat-devel

Requires:       perl(XML::SAX) >= 0.96

%description
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface. See http://perl-xml.sourceforge.net/perl-
sax/ for Perl SAX API description. Any deviations from the Perl SAX 2.1
specification are considered as bugs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1 -b .install_expat_xs
%__chmod -x ExpatXS.xs

%build
echo n | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"


%triggerin -- perl-XML-SAX
%{__perl} -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::ExpatXS))->save_parsers()' 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
 %{__perl} -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::ExpatXS))->save_parsers()' \
    2>/dev/null || :
fi

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.330.0-8pclos2017
- rebuild against updates

